File: TROUBLESHOOTING.md

package info (click to toggle)
libgit2 0.27.7+dfsg.1-0.2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 31,400 kB
  • sloc: ansic: 157,824; sh: 406; python: 182; php: 65; makefile: 61
file content (13 lines) | stat: -rw-r--r-- 512 bytes parent folder | download | duplicates (5)
1
2
3
4
5
6
7
8
9
10
11
12
13
Troubleshooting libgit2 Problems
================================

CMake Failures
--------------

* **`Asked for OpenSSL TLS backend, but it wasn't found`**
  CMake cannot find your SSL/TLS libraries.  By default, libgit2 always
  builds with HTTPS support, and you are encouraged to install the
  OpenSSL libraries for your system (eg, `apt-get install libssl-dev`).

  For development, if you simply want to disable HTTPS support entirely,
  pass the `-DUSE_HTTPS=OFF` argument to `cmake` when configuring it.